CryptoFailureException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.security.CryptoFailureException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Class CryptoFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.DefaultMuleException
                      org.mule.api.security.CryptoFailureException

All Implemented Interfaces:
  Serializable

    public class CryptoFailureException

extends DefaultMuleException

`CryptoFailureException` is a generic exception thrown by an CryptoStrategy if encryption or decryption fails. The constuctors of this exception accept a EncryptionStrategy that will be included in the exception message. Implementors of EncryptionStrategy should provide a toString method that exposes *only* information that maybe useful for debugging not passwords, secret keys, etc.

See Also:
  Serialized Form

Constructor Summary
`CryptoFailureException(EncryptionStrategy strategy, Throwable cause)`
`CryptoFailureException(Message message, EncryptionStrategy strategy)`
`CryptoFailureException(Message message, EncryptionStrategy strategy, Throwable cause)`

Method Summary
`EncryptionStrategy` | `getEncryptionStrategy()`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CryptoFailureException

    public CryptoFailureException(Message message,
                                  EncryptionStrategy strategy)

### CryptoFailureException

    public CryptoFailureException(Message message,
                                  EncryptionStrategy strategy,
                                  Throwable cause)

### CryptoFailureException

    public CryptoFailureException(EncryptionStrategy strategy,
                                  Throwable cause)

Method Detail

### getEncryptionStrategy

    public EncryptionStrategy getEncryptionStrategy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.